'Program:08m2-RAT-RF-TX.bas
'IDE: PICAXE Programming editor 5.5.5
'Target IC: 08m2
'Description: This program sends RAT and the number 1

#picaxe 08m2
#no_data


symbol led 		= 2	' This is the pin the LED is connected to
symbol TXmodule	= 4	' This pin turns on the TX module
symbol trap 	= b0	' This is the trap number, if you have multiple traps
symbol TXPin 	= c.1	' This is the pin that sends the data
symbol BAUD 	= N2400 ' Baud rate to send on




main:
setfreq m4			' Sets frequency to 4MHz
	high led		' Turns LED on
	high TXmodule	' Turns the TX module on
	pause 1000		' Pause for 1 sec to stabilize oscillation
	trap = 1		' Sets the trap number
	serout TXPin, BAUD, ("UUUUUUUUUUUUUUUUUUUUUUUUU") ' This is to synchronize the receiver
	pause 50		' Wait for 50 milliseconds
	serout TXPin, BAUD, ("RAT", trap) ' Send "RAT" and the trap number

	low led		' Turns off the LED
	low TXmodule	' Turns off the TX module

pause 9000			' Waits for 9 seconds

goto main			' Return to main and do it forever
